<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>GeeksforGeeks</title>
</head>
<body>
    <h1>GeeksforGeeks</h1>
    <h3>Basic form design using HTML</h3>
    <form action="" method="get">
        <fieldset>
            <legend>Personal Details </legend>
        <div>
            <label for="firstName">FirstName : </label>
        <input type="text" name="firstName" id="firstName" required>

        </div><br>
        <div>
        <label for="lastName">LastName : </label>
        <input type="text" name="lastName" id="lastName"required>
        </div>  
        <div>
            <label for=""></label>
        </div><br>
        <div>
            <label for="Gender">Gender : </label>
            <input type="radio" name="Gender" id="male">
            <label for="male">male</label>
            <input type="radio" name="Gender" id="female">
            <label for="female">female</label>
        </div><br>
        <div>
            <label for="">Email : </label>
            <input type="email" name="Email" id="Email">
        </div><br>
        <div>
            <label for="">Date Of Birth : </label>
            <input type="date" name="Date Of Birth" id="DOB">
        </div>
        <br>
        <div>
            <label for="">Address : </label><br>
            <textarea name="" id="" cols="25" rows="4"></textarea>
        </div>
        <br>
        <div><button type="submit">Submit</button></div>

    </fieldset>

 </form>
    
</body>
</html>